### Method

# EBook BookClientView dup_indices

since: 3.50

#### Declaration [src]

    EBookIndices*
    e_book_client_view_dup_indices (
      EBookClientView* self
    )

#### Description [src]

Returns a list of `EBookIndices` holding indices of the contacts in the view. These are received from the first sort field set by e_book_client_view_set_sort_fields_sync(). The last item of the returned array is the one with chr member being `NULL`.

Free the returned array with e_book_indices_free(), when no longer needed.

Note: This function can be used only with `E_BOOK_CLIENT_VIEW_FLAGS_MANUAL_QUERY`.

Available since: 3.50

#### Return value

Type: `EBookIndices`

List of indices for the view.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.